Bug 214154 - CVE-2006-5465 PHP buffer overflow
Summary: CVE-2006-5465 PHP buffer overflow
Status: CLOSED ERRATA
Alias: None
Product: Stronghold for Red Hat Linux
Classification: Retired
Component: php   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Stronghold Engineering List
URL:
Whiteboard: source=vendorsec,reported=20061101,em...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-06 09:35 UTC by Mark J. Cox
Modified: 2007-04-18 17:52 UTC (History)
2 users (show)

Fixed In Version: RHSA-2006-0736
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-11 11:31:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0736 normal SHIPPED_LIVE Important: php security update for Stronghold 2006-12-11 11:31:20 UTC

Description Mark J. Cox 2006-11-06 09:35:06 UTC
+++ This bug was initially created as a clone of Bug #213543 +++

Stefan Esser told vendor-sec about a buffer overflow in PHP's
htmlentities/htmlspecialchars internal routines.  These flaws are triggered when
handling utf-8 data.  The danger in this flaw is that these functions are
usually passed user input.

The patch for this issue can be found here:
http://cvs.php.net/viewvc.cgi/php-src/ext/standard/html.c?r1=1.111.2.2.2.2&r2=1.111.2.2.2.3

-- Additional comment from bressers@redhat.com on 2006-11-02 13:45 EST --
This issue is public:
http://secunia.com/advisories/22653/

Comment 2 Red Hat Bugzilla 2006-12-11 11:31:34 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0736.html



Note You need to log in before you can comment on or make changes to this bug.